Refreshing JWT for REST APIs

This section provides reference information about the REST API that is used to refresh JWT.

Base URL

https://{Appliance IP address}/api/v1/auth

In the base URL, Appliance IP address specifies the IP address of the specified ESA or DSG.

Path

/login/token/refresh

Method

POST

Request Body Parameters

None

Request

POST https://<Appliance IP address>/api/v1/auth/login/token/refresh

Request Header

Key Name: Authorization

Value: Bearer <token>

Response

HTTP Status CodeSample ResponseDescription
200 OK{
"status": 0,
"messages": [],
"data": null
}
The token is refreshed
401 UnauthorizedInvalid Token
403 ForbiddenUser does not have privilege to refresh JWT

Response Definitions (Response Schema or Response Model)

Response ItemDescriptionData Type
statusStatus of creation of the API requestsBoolean
messagesResponse messages from API, such as, error messages, warnings, or information textList
dataData returned by API requests

Response Header

The refreshed token is available in the PTY_ACCESS_JWT_TOKEN field.

Exception

None

Sample Request

curl -X POST https://<Appliance IP address>/api/v1/auth/login/token/refresh -H 'Authorization: Bearer <token>'

Sample Response

{
"status": 0,
"messages": [],
"data": null
}

Last modified : October 31, 2025